## monkey-1.5.6.tar.gz

=== man/asc-src/Makefile ===
.PHONY: all clean

SRC = $(wildcard *.txt)
DST = $(SRC:.txt=.o)

all: $(DST)
	-mv *.[0-9] ..

%.o : %.txt
	a2x -f manpage $<
	touch $@

clean:
	rm -f *.o *.[0-9]

=== debian/changelog ===
monkey (1.5.6-1) stable; urgency=low

  * Update Monkey release to v1.5.6

 -- Eduardo Silva <eduardo@monkey.io>  Mon, 02 Mar 2015 09:00:00 -0300

monkey (1.5.5-1) stable; urgency=low

  * Update Monkey release to v1.5.5

 -- Eduardo Silva <eduardo@monkey.io>  Sat, 18 Oct 2014 09:00:00 -0300

monkey (1.5.4-1) stable; urgency=low

  * Update Monkey release to v1.5.4

 -- Eduardo Silva <eduardo@monkey.io>  Sat, 16 Oct 2014 09:00:00 -0300

monkey (1.5.3-1) stable; urgency=low

  * Update Monkey release to v1.5.3

 -- Eduardo Silva <eduardo@monkey.io>  Sat, 16 Aug 2014 09:00:00 -0300

monkey (1.5.2-1) stable; urgency=low

  * Update Monkey release to v1.5.2

 -- Eduardo Silva <eduardo@monkey.io>  Fri, 18 Jul 2014 09:00:00 -0300

monkey (1.5.1-1) stable; urgency=low

  * Update Monkey release to v1.5.1

 -- Eduardo Silva <eduardo@monkey.io>  Mon, 09 Jun 2014 09:00:00 -0300

monkey (1.5.0-1) stable; urgency=low

  * Update Monkey release to v1.5.0

 -- Eduardo Silva <edsiper@gmail.com>  Tue, 29 Apr 2014 09:00:00 -0300

monkey (1.4.0-1) stable; urgency=low

  * Update Monkey release to v1.4.0

 -- Eduardo Silva <edsiper@gmail.com>  Mon, 03 Feb 2013 09:00:00 -0300

monkey (1.3.0-1) stable; urgency=low

  * Update Monkey release to v1.3.0

 -- Eduardo Silva <edsiper@gmail.com>  Thu, 15 Oct 2013 09:00:00 -0300

monkey (1.2.0-1) stable; urgency=low

  * Update Monkey release to v1.2.0

 -- Eduardo Silva <edsiper@gmail.com>  Mon, 29 Apr 2013 10:00:00 -0300

monkey (1.1.1-1) stable; urgency=low

  * Update Monkey release to v1.1.1

 -- Eduardo Silva <edsiper@gmail.com>  Sat, 18 Aug 2012 10:00:00 -0300

monkey (1.1.0-2) stable; urgency=low

  * Add missing cgi plugin

 -- Eduardo Silva <edsiper@gmail.com>  Fri, 17 Aug 2012 12:00:00 -0300

monkey (1.1.0-1) stable; urgency=low

  * Update Monkey release to v1.1.0

 -- Eduardo Silva <edsiper@gmail.com>  Fri, 17 Aug 2012 10:00:00 -0300

monkey (0.32.0-1) unstable; urgency=low

  * Update Monkey release to v0.32.0

 -- Eduardo Silva <edsiper@gmail.com>  Fri, 09 Feb 2012 12:00:00 -0300

monkey (0.31.0-1) unstable; urgency=low

  * Update Monkey release to v0.31.0

 -- Eduardo Silva <edsiper@gmail.com>  Fri, 13 Jan 2012 12:00:00 -0300

monkey (0.21.0-1) unstable; urgency=low

  * Update Monkey release to v0.21.0

 -- Eduardo Silva <edsiper@gmail.com>  Thu, 28 Oct 2011 12:00:00 -0300

monkey (0.20.4-1) unstable; urgency=low

  * Add new monkey-dev package

 -- Eduardo Silva <edsiper@gmail.com>  Thu, 12 Oct 2011 12:00:00 -0300

monkey (0.20.3-1) unstable; urgency=low

  * Initial release

 -- Eduardo Silva <edsiper@gmail.com>  Mon, 10 Oct 2011 22:33:20 -0300

=== debian/control ===
Source: monkey
Section: httpd
Priority: optional
Maintainer: Eduardo Silva <eduardo@monkey.io>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.9.1
Homepage: http://monkey-project.com
Vcs-Git: https://github.com/monkey/monkey.git
Vcs-Browser: https://github.com/monkey/monkey

Package: monkey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast and lightweight Web Server for Linux.
 Monkey HTTP Server has been designed to be very scalable with low memory
 and CPU consumption, the perfect solution for embedded environments. It
 also provides a flexible API and plugins interface.

Package: monkey-mbedtls
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monkey
Description: SSL transport layer for Monkey Web Server based in mbedTLS.
 This plugin enable Monkey Web Server with SSL encryption through the third
 party mbedTLS library.

Package: monkey-dev
Architecture: any
Depends: ${misc:Depends}, monkey (= ${binary:Version})
Description: Monkey HTTP Server development files
 This package distributes the C headers files required to perform
 the development of a Monkey plugin. This package is not related to the
 library version of Monkey.

Package: monkey-doc
Section: doc
Architecture: all
Description: Monkey documentation
 Monkey HTTP Server documentation.

Package: libmonkey
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Monkey HTTP Server library
 LibMonkey is the shared library version of Monkey HTTP daemon, it
 can be linked by third party programs that requires to use a fast web server or
 HTTP stack in their main program.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_configure:
	./configure --prefix=/usr	\
		--bindir=/usr/sbin		\
		--mandir=/usr/share/man		\
		--sysconfdir=/etc/monkey	\
		--datadir=/usr/share/monkey	\
		--logdir=/var/log/monkey	\
		--incdir=/usr/include/monkey    \
		--default-user=www-data 	\
		--plugdir=/usr/lib/monkey	\
		--enable-plugins="auth,liana,mandril,cheetah,cgi,fastcgi,logger,dirlisting,mbedtls"    \
		--disable-plugins="*"		\
		--enable-shared                 \
                --pidfile=/var/run/monkey.pid
